summaryrefslogtreecommitdiff
path: root/debian/cscope.emacsen-remove
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cscope.emacsen-remove')
-rw-r--r--debian/cscope.emacsen-remove11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/cscope.emacsen-remove b/debian/cscope.emacsen-remove
new file mode 100644
index 0000000..2feafac
--- /dev/null
+++ b/debian/cscope.emacsen-remove
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+FLAVOUR=$1
+PACKAGE=cscope
+ELCFILE=xcscope.el
+
+if [ $FLAVOUR != emacs ]; then
+ echo "remove/$PACKAGE: Purging byte-compiled files for $FLAVOUR"
+ rm -f /usr/share/$FLAVOUR/site-lisp/$ELCFILE
+fi